# $Revision: 1.28 $, $Date: 2010/06/06 08:35:06 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses serial port)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Device
%define		pnam	SerialPort
Summary:	Device::SerialPort - Linux/POSIX emulation of Win32::SerialPort functions
Summary(pl.UTF-8):	Device::SerialPort - zgodna z POSIX emulacja funcji Win32::SerialPort w Linuksie
Name:		perl-Device-SerialPort
Version:	1.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82c698151f934eb28c65d1838cee7d9e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Device::SerialPort module provides an object-based user interface
essentially identical to the one provided by the Win32::SerialPort
module.

%description -l pl.UTF-8
Moduł Device::SerialPort udostępnia zorientowany obiektowo interfejs,
zasadniczo identyczny z interfejsem udostępnianym przez moduł
Win32::SerialPort.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# hack device test
%{__perl} -pi -e 's/^    print "\\tchecking.*$/\$file="\$test"; last;/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	TESTPORT="/dev/ttyS1"
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%attr(755,root,root) %{_bindir}/modemtest
%{perl_vendorarch}/Device/*.pm
%dir %{perl_vendorarch}/auto/Device/SerialPort
%{perl_vendorarch}/auto/Device/SerialPort/SerialPort.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Device/SerialPort/SerialPort.so
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Device-SerialPort.spec,v $
Revision 1.28  2010/06/06 08:35:06  arekm
- release 2

Revision 1.27  2009/06/18 12:11:54  amateja
- updated to 1.04

Revision 1.26  2009/03/14 11:42:51  hawk
- release 5

Revision 1.25  2008/02/10 12:08:06  arekm
- rel 4

Revision 1.24  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.22  2004/11/12 07:35:31  ankry
- rel. 3 to allow upgrade

Revision 1.21  2004/11/11 22:28:50  paladine
- updated to 1.002

Revision 1.20  2004/11/03 22:30:19  paladine
- formatting

Revision 1.19  2004/05/23 13:49:41  qboosh
- hack device test (fixes build with devfs and no ttyS device)
- .so perms, release 2

Revision 1.18  2004/05/13 18:49:01  adamg
- updated to 1.000002

Revision 1.17  2004/05/06 18:43:09  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 10:45:25  ankry
- license fixes/unufication

Revision 1.15  2004/04/09 19:07:32  adamg
- fixed permissions of modemtest binary

Revision 1.14  2004/04/09 18:33:25  adamg
- updated to 1.000001
- added modemtest binary and manpage
- fixed a typo in previous changelog

Revision 1.13  2004/03/07 11:28:30  adamg
- updated to 1

Revision 1.12  2003/12/03 19:59:48  migo
- up to 0.22, new bcond style
- no longer noarch
- normal build process
- some tests fail!

Revision 1.11  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:43  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/03 04:39:48  radek
- ExtUtils::MakeMaker::WriteMakfile() hack

Revision 1.5  2003/03/01 18:05:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:31:44  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/30 23:39:57  ankry
- pl descriptions
- fixed attributes of examples
- release 2

Revision 1.1  2002/09/30 00:06:41  radek
- new, STBR
